{% extends 'index.html' %}
{% load l10n %}
{% load static %}


{% block header-js %}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
{% endblock %}

{% block title %}{{ html_title }}{% endblock title %}
{% block page %}
  <div id="ppk-add" class="order-edit" v-cloak>
    <div class="section section_default">
      <div class="section__content">
        <div class="section__header">
          <h1 class="section__title">{{ html_title }}</h1>
        </div>
        <div class="section__body">
          <form id="form" class="form form_default" action="" method="post">
            {% include 'order/criterion_base_form.html' %}
            <div class="form__item">
              <button class="btn btn_m btn_primary btn_block" @click.prevent="validateBeforeSubmit();">
                <div class="btn__grid">
                  <div class="btn__title">Сохранить</div>
                </div>
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
  <script>
    $(document).ready(function () {
        $('select').select2({});
    });
  </script>
{% endblock %}


{% block not-compressed-js %}
  {{ block.super }}
  <script>
    var years = {{ years|safe }};
    var year0 = {{ form.year_auto.value.0|default_if_none:0|default:0 }};
    var year1 = {{ form.year_auto.value.1|default_if_none:0|default:0 }};
    var engineCapacities = {{ engine_capacities|safe }};
    var engineCapacity0 = {{ form.engine_capacity.value.0|default_if_none:-1|default:-1|unlocalize }};
    var engineCapacity1 = {{ form.engine_capacity.value.1|default_if_none:-1|default:-1|unlocalize }};
    var horsepower = {{ horsepower|safe }};
    var horsepower0 = {{ form.horsepower.value.0|default_if_none:-1|default:-1 }};
    var horsepower1 = {{ form.horsepower.value.1|default_if_none:-1|default:-1 }};
    var cost = {{ form.cost.value|default:0 }};
  </script>
{% endblock %}


{% block script %}
  {{ block.super }}
  <script src="{% static 'assets/js/auto/loader.js' %}"></script>
  <script src="{% static 'js/ppkadd.bundle.js' %}"></script>
{% endblock %}
